
//---------------------------
//   5530 - Global variables
//---------------------------

unsigned char   Underflow;
unsigned char   Overflow;
unsigned char   Running;
unsigned char   g_Irq;
unsigned char   g_DmaChan;
unsigned char   fInUse;

unsigned long   SampleRate;
unsigned long  *prd_array;
unsigned long   prd_array_phys_adr;
unsigned long   dwtick;
unsigned long   v_nVolume;
unsigned long   gIntrAudio;

unsigned short  g_IoBase;
unsigned short  g_divisor;

static PCM_TYPE      g_pcmtype[2];

static unsigned char *  dma_page[4]; 
static unsigned long  dma_page_size;

//
// These variables may be accessed by different processes or the hardware and
// are likely to change in a time critical fashion. Optimization may cause
// errors if not declared volatile.
//
volatile        unsigned char   v_fMoreData[2];
volatile static unsigned long   v_nNextPage[2];

//
// The volume curve translates the volume unsigned long into a multiplier and bit
// shift value to do software volume control.
//
const struct 
{
   unsigned short multiplier;
   unsigned short divisor;     // bits to right shift
} VOL[] = { {0, 0}, 
   {3, 5},
   {7, 6},
   {1, 3},
   {5, 5},
   {3, 4},
   {7, 5},
   {1, 2},
   {5, 4},
   {3, 3},
   {7, 4},
   {1, 1},
   {5, 3},
   {3, 2},
   {7, 3},
   {1, 0}
};  

unsigned char *  m_pIoSpace = 0;                                                     
unsigned char *  m_pAudioBase;

static unsigned short  tot_input_samples     = 0;
static unsigned short  tot_output_samples    = 0;

//
// PCI audio functions base register.(r/w via i/o).
//
unsigned long pci_audio_func_reg;  

//
// Pointer to memory mapped 5530 Audio regs.                        
//
unsigned long audio_regs_adr;      

//
// This is the PCI config address value used to probe
// PCI space for PCI devices.
//
unsigned long pci_config_addr;     

